<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="MetaModules|MetaModule Reports">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>SSH Key Testing MetaModule Report</title>
        
        <link href="../../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../../index.html#18-metamodules/metamodule-reports/ssh-metamodule-report.html">Open topic with navigation</a>
        </p>
        <h1>SSH Key Testing MetaModule Report</h1>
        <p>The SSH Key Testing&#160;MetaModule Report presents the results from using a particular username and SSH key against targeted hosts and services. At a high-level, the report displays graphs to show the relative distribution of the top five hosts and services that were authenticated using the username and SSH key. The report also includes the technical details for each target that was successfully authenticated to using the SSH key and username. </p>
        <p>To help you navigate through the data to find key information, the report is organized into the following sections: </p>
        <ul>
            <li value="1">Project Summary</li>
            <li value="2">Findings Summary</li>
            <li value="3">Authenticated Services and&#160;Hosts Summary Charts</li>
            <li value="4">Authenticated Services and&#160;Hosts Summary Details</li>
            <li value="5">Appendix</li>
        </ul>
        <h2>Project Summary</h2>
        <p>The Project Summary shows the project name and the user who generated the report. </p>
        <h2>Findings Summary</h2>
        <p>The Findings Summary lists the following information:</p>
        <ul>
            <li value="1"><b>MetaModule</b> - The MetaModule that was run. </li>
            <li value="2"><b>Runtime</b> - The total duration of the MetaModule run. </li>
            <li value="3"><b>Username selected</b> - The username  that the MetaModule used to attempt to authenticate to a target. </li>
            <li value="4"><b>SSH&#160;key selected</b> - The SSH key that the MetaModule used to attempt to authenticate to a target. </li>
            <li value="5"><b>Hosts selected</b> - The total number of hosts that were selected as targets for the MetaModule. </li>
            <li value="6"><b>Services selected</b> - The total number of services that were targeted.</li>
            <li value="7"><b>Hosts tried</b> - The total number of hosts that the MetaModule attempted to authenticate to.</li>
            <li value="8"><b>Services tried</b> - The total number of services that the MetaModule attempted to authenticate to.</li>
            <li value="9"><b>Successful logins</b> - The total number of logins that the MetaModule was able to establish. </li>
        </ul>
        <h2>Authenticated Services and&#160;Hosts Summary Charts</h2>
        <p>The Authenticated Services and Hosts Summary Charts section uses pie charts to  visualize the relative distribution of the top five hosts that the MetaModule was able to authenticate to and the top five services that the MetaModule was able to find logins for using the provided username and SSH&#160;key. </p>
        <p>The following image shows the Authentication Services and&#160;Hosts Summary Charts:</p>
        <p>
            <img src="../../Resources/Images/metamodule-reports/ssh-mm-charts_309x167.png" style="width: 309;height: 167;" />
        </p>
        <h2>Authenticated Services and&#160;Hosts Details</h2>
        <p>The Authenticated Services and Hosts Details section lists the technical details for each target on which the MetaModule was able to authenticate with the provided SSH key and username. Targets are listed by host name. For each host, the report lists the services that the MetaModule was able to successfully authenticate to and the details for each service. </p>
        <p>Each service will have the following information:</p>
        <ul>
            <li value="1">The port number </li>
            <li value="2">The protocol</li>
            <li value="3">The service name</li>
            <li value="4">The timestamp for the login attempt </li>
            <li value="5">The result of the login</li>
            <li value="6">The access level for the login</li>
        </ul>
        <h2>Appendix</h2>
        <p>The Appendix provides additional details about the SSH&#160;Key&#160;MetaModule Testing Report, such as the options that were used to generate the report.</p>
        <h2>Report Options </h2>
        <table style="width: 100%;border-spacing: 0px 0px;border-left-style: none;border-left-width: 0px;border-left-color: #a9a9a9;border-right-style: none;border-right-width: 0px;border-right-color: #a9a9a9;border-top-style: none;border-top-width: 0px;border-top-color: #a9a9a9;border-bottom-style: none;border-bottom-width: 0px;border-bottom-color: #a9a9a9;margin-left: auto;margin-right: auto;">
            <col style="width: 200px;" />
            <col style="width: 400px;" />
            <tbody>
                <tr>
                    <td>Output formats</td>
                    <td>
                        <p class="tableCell">PDF, HTML, WORD, RTF</p>
                    </td>
                </tr>
                <tr>
                    <td>Report options </td>
                    <td>
                        <p class="tableCell"><b>Mask discovered credentials</b> - Masks all credentials from the report. It replaces the private with *MASKED*. </p>
                        <p class="tableCell"><b>Include charts and graphs</b> - Includes visual aids, such as pie graphs, to accompany statistical findings in the report.</p>
                    </td>
                </tr>
                <tr>
                    <td>Report sections</td>
                    <td>
                        <ul>
                            <li value="1">Cover Page</li>
                            <li value="2">Project Summary</li>
                            <li value="3">Findings Summary</li>
                            <li value="4">Authenticated Services and&#160;Hosts Summary Charts</li>
                            <li value="5">Authenticated Services and&#160;Hosts Summary Details</li>
                            <li value="6">Appendix</li>
                        </ul>
                    </td>
                </tr>
                <tr>
                    <td>Selected services</td>
                    <td>Lists the services that were selected for the MetaModule to attempt to authenticate to. </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>